> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kinbox.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a pipeline



## OpenAPI

````yaml get /v1/pipelines/{id}
openapi: 3.0.0
info:
  title: Kinbox API
  description: Kinbox public API
  version: '2.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/pipelines/{id}:
    get:
      tags:
        - v1Pipelines
      summary: Retrieve a pipeline
      operationId: getPipeline
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PipelinePublicDto'
components:
  schemas:
    PipelinePublicDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          description: Nome do funil
        position:
          type: number
          description: Posição do funil
        stages:
          description: Estágios do funil
          type: array
          items:
            $ref: '#/components/schemas/PipelineStage'
        rules:
          description: Regras do funil
          type: array
          items:
            $ref: '#/components/schemas/PipelineRule'
        cadence:
          description: Cadência associada ao funil
          type: array
          items:
            $ref: '#/components/schemas/Cadence'
        lostReasons:
          type: array
          items:
            type: string
        requiredCustomFieldIds:
          type: array
          items:
            type: string
        privacy:
          $ref: '#/components/schemas/Privacy'
        authorId:
          type: number
      required:
        - id
        - name
        - position
        - stages
        - rules
    PipelineStage:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        color:
          type: string
        requireds:
          type: array
          items:
            type: string
      required:
        - id
        - name
        - color
        - requireds
    PipelineRule:
      type: object
      properties:
        ruleId:
          type: string
        max:
          type: number
        stageId:
          type: string
      required:
        - ruleId
        - max
    Cadence:
      type: object
      properties:
        stageId:
          type: string
        task:
          type: object
        id:
          type: string
      required:
        - stageId
    Privacy:
      type: object
      properties:
        type:
          type: string
          enum:
            - private
            - public
            - team
            - user
        groupIds:
          type: array
          items:
            type: string
        userId:
          type: string
      required:
        - type
        - groupIds

````